using System;
using System.Collections.Generic;
using System.Text;

namespace BrumeParticles.Particles
{
    public class ParticleFadeProcessor : ParticleProcessor
    {
        // Fields
        public float AlphaEnd;
        public float AlphaStart;

        // Methods
        public ParticleFadeProcessor(float AlphaStart, float AlphaEnd)
            : this(AlphaStart, AlphaEnd, ParticleProcessorTimer.AlwaysActiveTimer)
        {
        }

        public ParticleFadeProcessor(float AlphaStart, float AlphaEnd, ParticleProcessorTimer Timer)
            : base(Timer)
        {
            this.AlphaStart = AlphaStart;
            this.AlphaEnd = AlphaEnd;
        }

        public sealed override void Initialize(Particle Particle)
        {
        }

        public sealed override void Process(Particle Particle, float DeltaTime)
        {
            float num = (Particle.NormalizedLifeTime - this.Timer.StartAt) / (this.Timer.EndAt - this.Timer.StartAt);
            if (this.AlphaEnd < this.AlphaStart)
            {
                Particle.Alpha = 1f - (Math.Abs(this.AlphaEnd - this.AlphaStart) * num);
            }
            else
            {
                Particle.Alpha = Math.Abs(this.AlphaEnd - this.AlphaStart) * num;
            }
        }
    }


}
