using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace BrumeParticles.Particles
{
    [StructLayout(LayoutKind.Sequential)]
    public struct ParticleProcessorTimer
    {
        public bool AlwaysActive;
        public float StartAt;
        public float EndAt;


        /// <summary>
        /// Gets the always active timer.
        /// </summary>
        /// <value>The always active timer.</value>
        public static ParticleProcessorTimer AlwaysActiveTimer
        {
            get
            {
                ParticleProcessorTimer timer = new ParticleProcessorTimer();
                timer.AlwaysActive = true;
                timer.StartAt = 0f;
                timer.EndAt = 1f;
                return timer;
            }
        }


        /// <summary>
        /// Initializes a new instance of the <see cref="ParticleProcessorTimer"/> class.
        /// </summary>
        /// <param name="StartAt">The start at.</param>
        /// <param name="EndAt">The end at.</param>
        public ParticleProcessorTimer(float StartAt, float EndAt)
        {
            this.StartAt = StartAt;
            this.EndAt = EndAt;
            this.AlwaysActive = false;
        }
    }


}
