float4x4 g_WorldViewProj;    // World * View * Projection matrix

struct VS_OUTPUT 
{
    float4 Position   : POSITION;   
};

VS_OUTPUT AmbientVS( float4 vPos : POSITION)
{
    VS_OUTPUT Output;
    
    Output.Position = mul(vPos, g_WorldViewProj);
    
    return Output;    
}


struct PS_OUTPUT
{
    float4 Color : COLOR0;  
};


PS_OUTPUT AmbientPS() 
{ 
    PS_OUTPUT Output;
    float ambientIntensity = 0.8f;
    float4 ambientColor = float4(0.0, 0.0, 0.5, 0.0);
    
    Output.Color = ambientIntensity*ambientColor;
	
    return Output;
}



technique AmbientShader
{
    pass P0
    {          
        VertexShader = compile vs_1_1 AmbientVS( );
        PixelShader  = compile ps_1_4 AmbientPS( );
    }

}
